CERT Triage Tools – Vulnerability Impact Assessment Tool

CERT Ferramentas de Triagem - Vulnerabilidade Ferramenta de Avaliação de Impacto

As ferramentas de Triagem CERT pode ser usado para ajudar os fornecedores de software e analistas na identificação do impacto dos defeitos encontrados através de técnicas como testes fuzz e priorizando sua recuperação no processo de desenvolvimento de software.

As ferramentas de Triagem CERT incluem uma extensão GNU Debugger (GDB) chamado "explorável" que classifica Linux erros de aplicação por gravidade e um script para execução do lote.

English original: 

CERT Triage Tools

This is a license agreement ("Agreement") between your company (if being installed and used at a company) or self (if being installed and used by an individual) (the user is called "Licensee" or "you" in this Agreement) and Carnegie Mellon University (called "Carnegie Mellon" or "Licensor" in this Agreement). All rights not specifically granted to you in this Agreement are reserved to Licensor. By Clicking the "I Agree" button below, you are agreeing to fully comply with the terms and conditions of this Agreement, without modification by you. If you do not agree with these terms and conditions as originally stated, your only recourse is to discontinue using this software. Unless explicitly stated otherwise, any new features that augment or enhance this software, shall be subject to the terms of this Agreement.
------------------------------------------------------------------------
Copyright (C) 2012 Carnegie Mellon University. All Rights Reserved.
------------------------------------------------------------------------
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are 
met:

1. Redistributions of source code must retain the above copyright 
   notice, this list of conditions and the following acknowledgments 
   and disclaimers.

2. Redistributions in binary form must reproduce the above copyright 
   notice, this list of conditions and the following disclaimer in the 
   documentation and/or other materials provided with the distribution.

3. All advertising materials for third-party software mentioning 
   features or use of this software must display the following 
   disclaimer:

   "Neither Carnegie Mellon University nor its Software Engineering 
    Institute have reviewed or endorsed this software"

4. The names "Department of Homeland Security," "Carnegie Mellon 
   University," "CERT" and/or "Software Engineering Institute" shall 
   not be used to endorse or promote products derived from this software 
   without prior written permission. For written permission, please 
   contact permission@sei.cmu.edu.

5. Products derived from this software may not be called "CERT" nor 
   may "CERT" appear in their names without prior written permission of
   permission@sei.cmu.edu.

6. Redistributions of any form whatsoever must retain the following
   acknowledgment:

   "This product includes software developed by CERT with funding 
    and support from the Department of Homeland Security under 
    Contract No. FA 8721-05-C-0003."

THIS SOFTWARE IS PROVIDED BY CARNEGIE MELLON UNIVERSITY ``AS IS'' AND
CARNEGIE MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER 
EXPRESS OR IMPLIED, AS TO ANY MATTER, AND ALL SUCH WARRANTIES, INCLUDING 
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, ARE 
EXPRESSLY DISCLAIMED. WITHOUT LIMITING THE GENERALITY OF THE FOREGOING, 
CARNEGIE MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY KIND 
RELATING TO EXCLUSIVITY, INFORMATIONAL CONTENT, ERROR-FREE OPERATION, 
RESULTS TO BE OBTAINED FROM USE, FREEDOM FROM PATENT, TRADEMARK AND 
COPYRIGHT INFRINGEMENT AND/OR FREEDOM FROM THEFT OF TRADE SECRETS. 


Requisitos
Compatível Linux de 32-bit ou 64-bit
GDB 7.2 ou posterior
Python 2.6 ou posterior

Você pode baixar ferramentas de Triagem CERT aqui: CERT_triage_tools 1.01.tar.gz- Ou leia mais aqui .

Fonte: Darknet
CERT Triage Tools – Vulnerability Impact Assessment Tool CERT Triage Tools – Vulnerability Impact Assessment Tool Reviewed by Kembolle Amilkar on quarta-feira, janeiro 09, 2013 Rating: 5

Nenhum comentário